Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Knowledge iN search result

Prev Next

Available in Classic and VPC

Get Knowledge iN search results from NAVER Search.

Note

Knowledge iN searches use the Search API, which has a daily call limit of 25,000.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /search/v1/kin

Request headers

For information about the headers common to NAVER API HUB, see NAVER API HUB request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
query String Required Search keyword
  • Encoded with UTF-8
display Integer Optional Number of search results to display at a time
  • 1-100 (default: 10)
start Integer Optional Search start location
  • 1-1000 (default: 1)
sort String Optional How to sort search results
  • sim (default) | date | point
    • sim: Accuracy (descending)
    • date: Date (descending)
    • point: Rating (descending)
format String Optional Response format
  • json (default) | xml

Request example

The request example is as follows:

curl --location --request GET https://naverapihub.apigw.ntruss.com/search/v1/kin?query=Coffee&display=2&start=1&sort=date&format=json
--header X-NCP-APIGW-API-KEY-ID: {Client ID}
--header X-NCP-APIGW-API-KEY: {Client Secret}

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
lastBuildDate String - Time the search results were generated
total Integer - Total number of search results
start Integer - Starting location for the search
display Integer - Number of search results to display at a time
items Array - List of individual search results: items

items

The following describes items.

Field Type Required Description
title String - Knowledge iN question title
  • Portions matching the search keyword are wrapped in <b> tags.
link String - Knowledge iN question URL
description String - Passage information summarizing the Knowledge iN question content
  • Portions matching the search keyword are wrapped in <b> tags.

Response status codes

The following describes the response status codes.

HTTP status code Code Message Description
400 SE01 Incorrect query request Check for errors in the API request URL, such as the protocol or parameters.
400 SE02 Invalid display value. Check that the display value is within the allowed range.
400 SE03 Invalid start value Check that the start value is within the allowed range.
400 SE04 Invalid sort value Check the sort value for typos.
400 SE06 Malformed encoding Encode the search keyword in UTF-8.
404 SE05 Invalid search API Check the API request URL for typos.
500 SE99 System error An error occurred internally on the server.
Note

For information about the HTTP status codes common to all NAVER API HUB, see NAVER API HUB response status codes.

Response example

The response example is as follows:

{
    "lastBuildDate": "Thu, 11 Jun 2026 18:43:27 +0900",
    "total": 2408172,
    "start": 1,
    "display": 2,
    "items": [
        {
            "title": "I'm wondering what the recommended daily intake is for <b>coffee</b>.",
            "link": "https://kin.naver.com/qna/detail.naver?d1id={d1id}&dirId={dirId}&docId={docId}",
            "description": "How many cups of <b>coffee</b> is it okay to drink in a day? The recommended caffeine intake and appropriate consumption guidelines are... "
        },
        {
            "title": "Is it okay to mix <b>coffee</b> in a plastic tumbler?",
            "link": "https://kin.naver.com/qna/detail.naver?d1id={d1id}&dirId={dirId}&docId={docId}",
            "description": "I'm wondering if it's okay to make and drink hot <b>coffee</b> in a plastic tumbler. Endocrine disruptors... "
        }
    ]
}